import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/productionPlan',
    method: 'post',
    data
  })
}
export function manualGeneration(data) {
  return request({
    url: 'api/productionPlan/manualGeneration',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/productionPlan/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/productionPlan',
    method: 'put',
    data
  })
}

export function haoYong(data) {
  return request({
    url: 'api/productionPlan/haoYong',
    method: 'put',
    data
  })
}

export function readHaoYongData(data) {
  return request({
    url: 'api/productionPlan/readHaoYongData',
    method: 'put',
    data
  })
}

export default { add, edit, del,manualGeneration }
